Bug 294821 - RHEL4.5: PM Timer appears in top-level make menuconfig
RHEL4.5: PM Timer appears in top-level make menuconfig
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks: 461304
  Show dependency treegraph
 
Reported: 2007-09-18 10:54 EDT by Prarit Bhargava
Modified: 2009-05-18 15:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prarit Bhargava 2007-09-18 10:54:04 EDT
Description of problem:

When doing a 'make menuconfig' with the x86_64-smp .config, "PM Timer" appears
in the top-level menu.

Version-Release number of selected component (if applicable): 59.EL5


How reproducible: 100%


Steps to Reproduce:
1. Install RHEL4 latest source (.59.EL)
2. Execute 'make menuconfig'
  
Actual results:

  │ ┌─────────────────────────────────────────────────────────────────────┐ │  
  │ │          [*] PM timer                                               │ │  
  │ │              Code maturity level options  --->                      │ │  
  │ │              General setup  --->                                    │ │  
  │ │              Loadable module support  --->                          │ │  
  │ │              Processor type and features  --->                      │ │  
  │ │              Power management options  --->                         │ │  
  │ │              Bus options (PCI etc.)  --->                           │ │  
  │ │              Executable file formats / Emulations  --->             │ │  
  │ │              Device Drivers  --->                                   │ │  
  │ │              Firmware Drivers  --->                                 │ │  
  │ │              File systems  --->                                     │ │  
  │ │              Profiling support  --->                                │ │  
  │ │              Kernel hacking  --->                                   │ │  
  │ │              Security options  --->                                 │ │  
  │ │              Cryptographic options  --->                            │ │  
  │ │              Library routines  --->                                 │ │  
  │ │          ---                                                        │ │  
  │ │              Load an Alternate Configuration File                   │ │  
  │ │              Save Configuration to an Alternate File  
Expected results:

PM Timer should not be in the top-level.  It should probably be under ACPI
Support or Power Management support.

Additional info:
Comment 4 RHEL Product and Program Management 2008-03-06 00:40:19 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Prarit Bhargava 2008-05-01 13:16:16 EDT
Posted new patch today.
Comment 7 RHEL Product and Program Management 2008-09-03 09:13:43 EDT
Updating PM score.
Comment 8 Vivek Goyal 2009-01-14 09:21:41 EST
Committed in 78.28.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 12 errata-xmlrpc 2009-05-18 15:33:28 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.